- Run the full testsuite (``tests\testament\tester all``) and ensure it's green; actually ensure travis is green (Usually the case these days)

- Update news.txt
- write a news ticker entry
- Update the version
  - In system.nim
  - In compiler.nimble
  - In lib/stdlib.nimble

- Recompile koch!
- Generate the full docs;  koch web0
- Generate the installers
  * koch csource -d:release
  * koch xz
  * koch nsis

- Test the installers: koch testinstall
- Tag the release
- Merge devel into master
- Update csources


To build the Windows release, currently this .bat file is used which is rather tied to my computer.

```
set NIMVER=0.14.2

Rem Build -docs file:
koch web0
cd web\upload
7z a -tzip docs-%NIMVER%.zip *.html
move /y docs-%NIMVER%.zip download
cd ..\..

Rem Build .zip file:
REm koch csources -d:release
rem koch xz -d:release
rem move /y build\nim-%NIMVER%.zip web\upload\download

ReM Build Win32 version:

set PATH=C:\Users\Anwender\projects\nim\dist\mingw\bin;%PATH%
cd build
call build.bat
cd ..
nim c koch || exit /b
koch boot -d:release || exit /b
cd ..\nimsuggest
nim c -d:release --noNimblePath --path:..\nim  nimsuggest || exit /b
copy /y nimsuggest.exe ..\nim\bin || exit /b
cd ..\nim
koch nsis -d:release || exit /b
move /y build\nim_%NIMVER%.exe web\upload\download\nim-%NIMVER%_x32.exe || exit /b


ReM Build Win64 version:
set PATH=C:\Users\Anwender\projects\win-builds\bin;%PATH%
cd build
call build64.bat
cd ..
nim c koch || exit /b
koch boot -d:release || exit /b
cd ..\nimsuggest
nim c -d:release --noNimblePath --path:..\nim  nimsuggest || exit /b
copy /y nimsuggest.exe ..\nim\bin || exit /b
cd ..\nim
koch nsis -d:release || exit /b
move /y build\nim_%NIMVER%.exe web\upload\download\nim-%NIMVER%_x64.exe || exit /b

```
